* Skeleton build for 'ctdlsh' utility. Warning: this is extremely gnuuey, it's got...
[citadel.git] / ctdlsh / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 subdir = .
34 DIST_COMMON = README $(am__configure_deps) $(dist_doc_DATA) \
35         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
36         $(srcdir)/config.h.in $(top_srcdir)/configure depcomp \
37         install-sh missing
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43  configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_HEADER = config.h
46 CONFIG_CLEAN_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50         html-recursive info-recursive install-data-recursive \
51         install-dvi-recursive install-exec-recursive \
52         install-html-recursive install-info-recursive \
53         install-pdf-recursive install-ps-recursive install-recursive \
54         installcheck-recursive installdirs-recursive pdf-recursive \
55         ps-recursive uninstall-recursive
56 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
57 am__vpath_adj = case $$p in \
58     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
59     *) f=$$p;; \
60   esac;
61 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
62 am__installdirs = "$(DESTDIR)$(docdir)"
63 dist_docDATA_INSTALL = $(INSTALL_DATA)
64 DATA = $(dist_doc_DATA)
65 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
66   distclean-recursive maintainer-clean-recursive
67 ETAGS = etags
68 CTAGS = ctags
69 DIST_SUBDIRS = $(SUBDIRS)
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 distdir = $(PACKAGE)-$(VERSION)
72 top_distdir = $(distdir)
73 am__remove_distdir = \
74   { test ! -d $(distdir) \
75     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
76          && rm -fr $(distdir); }; }
77 DIST_ARCHIVES = $(distdir).tar.gz
78 GZIP_ENV = --best
79 distuninstallcheck_listfiles = find . -type f -print
80 distcleancheck_listfiles = find . -type f -print
81 ACLOCAL = @ACLOCAL@
82 AMTAR = @AMTAR@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 CC = @CC@
88 CCDEPMODE = @CCDEPMODE@
89 CFLAGS = @CFLAGS@
90 CPPFLAGS = @CPPFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 ECHO_C = @ECHO_C@
95 ECHO_N = @ECHO_N@
96 ECHO_T = @ECHO_T@
97 EXEEXT = @EXEEXT@
98 INSTALL = @INSTALL@
99 INSTALL_DATA = @INSTALL_DATA@
100 INSTALL_PROGRAM = @INSTALL_PROGRAM@
101 INSTALL_SCRIPT = @INSTALL_SCRIPT@
102 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
103 LDFLAGS = @LDFLAGS@
104 LIBOBJS = @LIBOBJS@
105 LIBS = @LIBS@
106 LTLIBOBJS = @LTLIBOBJS@
107 MAKEINFO = @MAKEINFO@
108 MKDIR_P = @MKDIR_P@
109 OBJEXT = @OBJEXT@
110 PACKAGE = @PACKAGE@
111 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
112 PACKAGE_NAME = @PACKAGE_NAME@
113 PACKAGE_STRING = @PACKAGE_STRING@
114 PACKAGE_TARNAME = @PACKAGE_TARNAME@
115 PACKAGE_VERSION = @PACKAGE_VERSION@
116 PATH_SEPARATOR = @PATH_SEPARATOR@
117 SET_MAKE = @SET_MAKE@
118 SHELL = @SHELL@
119 STRIP = @STRIP@
120 VERSION = @VERSION@
121 abs_builddir = @abs_builddir@
122 abs_srcdir = @abs_srcdir@
123 abs_top_builddir = @abs_top_builddir@
124 abs_top_srcdir = @abs_top_srcdir@
125 ac_ct_CC = @ac_ct_CC@
126 am__include = @am__include@
127 am__leading_dot = @am__leading_dot@
128 am__quote = @am__quote@
129 am__tar = @am__tar@
130 am__untar = @am__untar@
131 bindir = @bindir@
132 build_alias = @build_alias@
133 builddir = @builddir@
134 datadir = @datadir@
135 datarootdir = @datarootdir@
136 docdir = @docdir@
137 dvidir = @dvidir@
138 exec_prefix = @exec_prefix@
139 host_alias = @host_alias@
140 htmldir = @htmldir@
141 includedir = @includedir@
142 infodir = @infodir@
143 install_sh = @install_sh@
144 libdir = @libdir@
145 libexecdir = @libexecdir@
146 localedir = @localedir@
147 localstatedir = @localstatedir@
148 mandir = @mandir@
149 mkdir_p = @mkdir_p@
150 oldincludedir = @oldincludedir@
151 pdfdir = @pdfdir@
152 prefix = @prefix@
153 program_transform_name = @program_transform_name@
154 psdir = @psdir@
155 sbindir = @sbindir@
156 sharedstatedir = @sharedstatedir@
157 srcdir = @srcdir@
158 sysconfdir = @sysconfdir@
159 target_alias = @target_alias@
160 top_builddir = @top_builddir@
161 top_srcdir = @top_srcdir@
162 SUBDIRS = src
163 dist_doc_DATA = README
164 all: config.h
165         $(MAKE) $(AM_MAKEFLAGS) all-recursive
166
167 .SUFFIXES:
168 am--refresh:
169         @:
170 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
171         @for dep in $?; do \
172           case '$(am__configure_deps)' in \
173             *$$dep*) \
174               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
175               cd $(srcdir) && $(AUTOMAKE) --foreign  \
176                 && exit 0; \
177               exit 1;; \
178           esac; \
179         done; \
180         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
181         cd $(top_srcdir) && \
182           $(AUTOMAKE) --foreign  Makefile
183 .PRECIOUS: Makefile
184 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
185         @case '$?' in \
186           *config.status*) \
187             echo ' $(SHELL) ./config.status'; \
188             $(SHELL) ./config.status;; \
189           *) \
190             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
191             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
192         esac;
193
194 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
195         $(SHELL) ./config.status --recheck
196
197 $(top_srcdir)/configure:  $(am__configure_deps)
198         cd $(srcdir) && $(AUTOCONF)
199 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
200         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
201
202 config.h: stamp-h1
203         @if test ! -f $@; then \
204           rm -f stamp-h1; \
205           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
206         else :; fi
207
208 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
209         @rm -f stamp-h1
210         cd $(top_builddir) && $(SHELL) ./config.status config.h
211 $(srcdir)/config.h.in:  $(am__configure_deps) 
212         cd $(top_srcdir) && $(AUTOHEADER)
213         rm -f stamp-h1
214         touch $@
215
216 distclean-hdr:
217         -rm -f config.h stamp-h1
218 install-dist_docDATA: $(dist_doc_DATA)
219         @$(NORMAL_INSTALL)
220         test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
221         @list='$(dist_doc_DATA)'; for p in $$list; do \
222           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
223           f=$(am__strip_dir) \
224           echo " $(dist_docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
225           $(dist_docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
226         done
227
228 uninstall-dist_docDATA:
229         @$(NORMAL_UNINSTALL)
230         @list='$(dist_doc_DATA)'; for p in $$list; do \
231           f=$(am__strip_dir) \
232           echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
233           rm -f "$(DESTDIR)$(docdir)/$$f"; \
234         done
235
236 # This directory's subdirectories are mostly independent; you can cd
237 # into them and run `make' without going through this Makefile.
238 # To change the values of `make' variables: instead of editing Makefiles,
239 # (1) if the variable is set in `config.status', edit `config.status'
240 #     (which will cause the Makefiles to be regenerated when you run `make');
241 # (2) otherwise, pass the desired values on the `make' command line.
242 $(RECURSIVE_TARGETS):
243         @failcom='exit 1'; \
244         for f in x $$MAKEFLAGS; do \
245           case $$f in \
246             *=* | --[!k]*);; \
247             *k*) failcom='fail=yes';; \
248           esac; \
249         done; \
250         dot_seen=no; \
251         target=`echo $@ | sed s/-recursive//`; \
252         list='$(SUBDIRS)'; for subdir in $$list; do \
253           echo "Making $$target in $$subdir"; \
254           if test "$$subdir" = "."; then \
255             dot_seen=yes; \
256             local_target="$$target-am"; \
257           else \
258             local_target="$$target"; \
259           fi; \
260           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
261           || eval $$failcom; \
262         done; \
263         if test "$$dot_seen" = "no"; then \
264           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
265         fi; test -z "$$fail"
266
267 $(RECURSIVE_CLEAN_TARGETS):
268         @failcom='exit 1'; \
269         for f in x $$MAKEFLAGS; do \
270           case $$f in \
271             *=* | --[!k]*);; \
272             *k*) failcom='fail=yes';; \
273           esac; \
274         done; \
275         dot_seen=no; \
276         case "$@" in \
277           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
278           *) list='$(SUBDIRS)' ;; \
279         esac; \
280         rev=''; for subdir in $$list; do \
281           if test "$$subdir" = "."; then :; else \
282             rev="$$subdir $$rev"; \
283           fi; \
284         done; \
285         rev="$$rev ."; \
286         target=`echo $@ | sed s/-recursive//`; \
287         for subdir in $$rev; do \
288           echo "Making $$target in $$subdir"; \
289           if test "$$subdir" = "."; then \
290             local_target="$$target-am"; \
291           else \
292             local_target="$$target"; \
293           fi; \
294           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
295           || eval $$failcom; \
296         done && test -z "$$fail"
297 tags-recursive:
298         list='$(SUBDIRS)'; for subdir in $$list; do \
299           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
300         done
301 ctags-recursive:
302         list='$(SUBDIRS)'; for subdir in $$list; do \
303           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
304         done
305
306 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
307         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
308         unique=`for i in $$list; do \
309             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
310           done | \
311           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
312               END { if (nonempty) { for (i in files) print i; }; }'`; \
313         mkid -fID $$unique
314 tags: TAGS
315
316 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
317                 $(TAGS_FILES) $(LISP)
318         tags=; \
319         here=`pwd`; \
320         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
321           include_option=--etags-include; \
322           empty_fix=.; \
323         else \
324           include_option=--include; \
325           empty_fix=; \
326         fi; \
327         list='$(SUBDIRS)'; for subdir in $$list; do \
328           if test "$$subdir" = .; then :; else \
329             test ! -f $$subdir/TAGS || \
330               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
331           fi; \
332         done; \
333         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
334         unique=`for i in $$list; do \
335             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
336           done | \
337           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
338               END { if (nonempty) { for (i in files) print i; }; }'`; \
339         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
340           test -n "$$unique" || unique=$$empty_fix; \
341           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
342             $$tags $$unique; \
343         fi
344 ctags: CTAGS
345 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
346                 $(TAGS_FILES) $(LISP)
347         tags=; \
348         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
349         unique=`for i in $$list; do \
350             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
351           done | \
352           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
353               END { if (nonempty) { for (i in files) print i; }; }'`; \
354         test -z "$(CTAGS_ARGS)$$tags$$unique" \
355           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
356              $$tags $$unique
357
358 GTAGS:
359         here=`$(am__cd) $(top_builddir) && pwd` \
360           && cd $(top_srcdir) \
361           && gtags -i $(GTAGS_ARGS) $$here
362
363 distclean-tags:
364         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
365
366 distdir: $(DISTFILES)
367         $(am__remove_distdir)
368         test -d $(distdir) || mkdir $(distdir)
369         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
370         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
371         list='$(DISTFILES)'; \
372           dist_files=`for file in $$list; do echo $$file; done | \
373           sed -e "s|^$$srcdirstrip/||;t" \
374               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
375         case $$dist_files in \
376           */*) $(MKDIR_P) `echo "$$dist_files" | \
377                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
378                            sort -u` ;; \
379         esac; \
380         for file in $$dist_files; do \
381           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
382           if test -d $$d/$$file; then \
383             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
384             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
385               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
386             fi; \
387             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
388           else \
389             test -f $(distdir)/$$file \
390             || cp -p $$d/$$file $(distdir)/$$file \
391             || exit 1; \
392           fi; \
393         done
394         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
395           if test "$$subdir" = .; then :; else \
396             test -d "$(distdir)/$$subdir" \
397             || $(MKDIR_P) "$(distdir)/$$subdir" \
398             || exit 1; \
399             distdir=`$(am__cd) $(distdir) && pwd`; \
400             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
401             (cd $$subdir && \
402               $(MAKE) $(AM_MAKEFLAGS) \
403                 top_distdir="$$top_distdir" \
404                 distdir="$$distdir/$$subdir" \
405                 am__remove_distdir=: \
406                 am__skip_length_check=: \
407                 distdir) \
408               || exit 1; \
409           fi; \
410         done
411         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
412           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
413           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
414           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
415         || chmod -R a+r $(distdir)
416 dist-gzip: distdir
417         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
418         $(am__remove_distdir)
419
420 dist-bzip2: distdir
421         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
422         $(am__remove_distdir)
423
424 dist-lzma: distdir
425         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
426         $(am__remove_distdir)
427
428 dist-tarZ: distdir
429         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
430         $(am__remove_distdir)
431
432 dist-shar: distdir
433         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
434         $(am__remove_distdir)
435
436 dist-zip: distdir
437         -rm -f $(distdir).zip
438         zip -rq $(distdir).zip $(distdir)
439         $(am__remove_distdir)
440
441 dist dist-all: distdir
442         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
443         $(am__remove_distdir)
444
445 # This target untars the dist file and tries a VPATH configuration.  Then
446 # it guarantees that the distribution is self-contained by making another
447 # tarfile.
448 distcheck: dist
449         case '$(DIST_ARCHIVES)' in \
450         *.tar.gz*) \
451           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
452         *.tar.bz2*) \
453           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
454         *.tar.lzma*) \
455           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
456         *.tar.Z*) \
457           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
458         *.shar.gz*) \
459           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
460         *.zip*) \
461           unzip $(distdir).zip ;;\
462         esac
463         chmod -R a-w $(distdir); chmod a+w $(distdir)
464         mkdir $(distdir)/_build
465         mkdir $(distdir)/_inst
466         chmod a-w $(distdir)
467         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
468           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
469           && cd $(distdir)/_build \
470           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
471             $(DISTCHECK_CONFIGURE_FLAGS) \
472           && $(MAKE) $(AM_MAKEFLAGS) \
473           && $(MAKE) $(AM_MAKEFLAGS) dvi \
474           && $(MAKE) $(AM_MAKEFLAGS) check \
475           && $(MAKE) $(AM_MAKEFLAGS) install \
476           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
477           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
478           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
479                 distuninstallcheck \
480           && chmod -R a-w "$$dc_install_base" \
481           && ({ \
482                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
483                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
484                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
485                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
486                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
487               } || { rm -rf "$$dc_destdir"; exit 1; }) \
488           && rm -rf "$$dc_destdir" \
489           && $(MAKE) $(AM_MAKEFLAGS) dist \
490           && rm -rf $(DIST_ARCHIVES) \
491           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
492         $(am__remove_distdir)
493         @(echo "$(distdir) archives ready for distribution: "; \
494           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
495           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
496 distuninstallcheck:
497         @cd $(distuninstallcheck_dir) \
498         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
499            || { echo "ERROR: files left after uninstall:" ; \
500                 if test -n "$(DESTDIR)"; then \
501                   echo "  (check DESTDIR support)"; \
502                 fi ; \
503                 $(distuninstallcheck_listfiles) ; \
504                 exit 1; } >&2
505 distcleancheck: distclean
506         @if test '$(srcdir)' = . ; then \
507           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
508           exit 1 ; \
509         fi
510         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
511           || { echo "ERROR: files left in build directory after distclean:" ; \
512                $(distcleancheck_listfiles) ; \
513                exit 1; } >&2
514 check-am: all-am
515 check: check-recursive
516 all-am: Makefile $(DATA) config.h
517 installdirs: installdirs-recursive
518 installdirs-am:
519         for dir in "$(DESTDIR)$(docdir)"; do \
520           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
521         done
522 install: install-recursive
523 install-exec: install-exec-recursive
524 install-data: install-data-recursive
525 uninstall: uninstall-recursive
526
527 install-am: all-am
528         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
529
530 installcheck: installcheck-recursive
531 install-strip:
532         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
533           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
534           `test -z '$(STRIP)' || \
535             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
536 mostlyclean-generic:
537
538 clean-generic:
539
540 distclean-generic:
541         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
542
543 maintainer-clean-generic:
544         @echo "This command is intended for maintainers to use"
545         @echo "it deletes files that may require special tools to rebuild."
546 clean: clean-recursive
547
548 clean-am: clean-generic mostlyclean-am
549
550 distclean: distclean-recursive
551         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
552         -rm -f Makefile
553 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
554
555 dvi: dvi-recursive
556
557 dvi-am:
558
559 html: html-recursive
560
561 info: info-recursive
562
563 info-am:
564
565 install-data-am: install-dist_docDATA
566
567 install-dvi: install-dvi-recursive
568
569 install-exec-am:
570
571 install-html: install-html-recursive
572
573 install-info: install-info-recursive
574
575 install-man:
576
577 install-pdf: install-pdf-recursive
578
579 install-ps: install-ps-recursive
580
581 installcheck-am:
582
583 maintainer-clean: maintainer-clean-recursive
584         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
585         -rm -rf $(top_srcdir)/autom4te.cache
586         -rm -f Makefile
587 maintainer-clean-am: distclean-am maintainer-clean-generic
588
589 mostlyclean: mostlyclean-recursive
590
591 mostlyclean-am: mostlyclean-generic
592
593 pdf: pdf-recursive
594
595 pdf-am:
596
597 ps: ps-recursive
598
599 ps-am:
600
601 uninstall-am: uninstall-dist_docDATA
602
603 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
604         install-strip
605
606 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
607         all all-am am--refresh check check-am clean clean-generic \
608         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
609         dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
610         distclean-generic distclean-hdr distclean-tags distcleancheck \
611         distdir distuninstallcheck dvi dvi-am html html-am info \
612         info-am install install-am install-data install-data-am \
613         install-dist_docDATA install-dvi install-dvi-am install-exec \
614         install-exec-am install-html install-html-am install-info \
615         install-info-am install-man install-pdf install-pdf-am \
616         install-ps install-ps-am install-strip installcheck \
617         installcheck-am installdirs installdirs-am maintainer-clean \
618         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
619         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
620         uninstall-dist_docDATA
621
622 # Tell versions [3.59,3.63) of GNU make to not export all variables.
623 # Otherwise a system limit (for SysV at least) may be exceeded.
624 .NOEXPORT: